dtestcm(1)

NAME
dtestcm - simple uDAPL test that measure setup time and connection establish time

SYNOPSIS
dtestcm [-mwvu] [-P provider] [-b burst size] [-p port id] [-c connections num] [-d delay] [ -s | -h HOSTNAME ]

DESCRIPTION

dtestcm is a simple test that measure setup time and how long it takes to establish one connection on AVG. At least two instantiations of the test must be run. One acts as the server and the other the client. The server side of the test, once invoked listens for connection requests, until timing out or killed. Upon receipt of a connection request, the connection is established. Upon the established of all the connections we calc AVG time.

OPTIONS

-P=PROVIDER
    use PROVIDER to specify uDAPL interface using /etc/dat.conf (default ofa-v2-ib0)

-h=HOSTNAME
    use HOSTNAME to specify server hostname or IP address (default - none)

-b=BURST_SIZE
    send BURST_SIZE connection requests at one time (default 100)

-d=DELAY_TIME
    delay in DELAY_TIME seconds before close (default 0)

-p=PORT_NUM
    use PORT_NUM to established connections (default 45248)

-c=CONN_NUM
    establish CONN_NUM connections (default 1000)

-v, verbose output (default off)

-m, multi listens. listen on burst size PSP (default off)

-u, run ud test (default no)

-w, wait for CR (default poll)

-s, run as server (default - run as server)

EXAMPLES

dtestcm -P ofa-v2-ib0 -v -s

     Starts a server process with debug verbosity using provider ofa-v2-ib0.

dtestcm -P ofa-v2-ib0 -h server1-ib0

     Starts a client process, using ofa-v2-ib0 provider to connect to hostname server1-ib0.

SEE ALSO
dtest(1), dtestsrq(1), dtestx(1), dapltest(1)

AUTHORS

Arlin Davis
    <arlin.r.davis@intel.com>

Amir Hanania
    <amir.hanania@intel.com>